# HG changeset patch
# User praveen_karadugattu <praveenkumar@multicorewareinc.com>
# Date 1558937905 -19800
#      Mon May 27 11:48:25 2019 +0530
# Node ID 4583000db964b8b942c55f532216a3696fcf69ea
# Parent  b9bef1a4c34a82ea685ed76ebdd642c266bffcc3
Changed the params max-merge to 3, b-intra enabled, limit-ref and early-skip enabled for improved performance for high res

diff --git a/source/common/param.cpp b/source/common/param.cpp
--- a/source/common/param.cpp
+++ b/source/common/param.cpp
@@ -185,12 +185,12 @@
     param->searchMethod = X265_HEX_SEARCH;
     param->subpelRefine = 2;
     param->searchRange = 57;
-    param->maxNumMergeCand = 2;
-    param->limitReferences = 3;
+	param->maxNumMergeCand = 3;
+	param->limitReferences = 1;
     param->limitModes = 0;
     param->bEnableWeightedPred = 1;
     param->bEnableWeightedBiPred = 0;
-    param->bEnableEarlySkip = 0;
+	param->bEnableEarlySkip = 1;
     param->bEnableRecursionSkip = 1;
     param->bEnableAMP = 0;
     param->bEnableRectInter = 0;
@@ -225,7 +225,7 @@
     param->analysisReuseFileName = NULL;
     param->analysisSave = NULL;
     param->analysisLoad = NULL;
-    param->bIntraInBFrames = 0;
+	param->bIntraInBFrames = 1;
     param->bLossless = 0;
     param->bCULossless = 0;
     param->bEnableTemporalSubLayers = 0;
